<?php

/**
 * class.MySQL3x.php
 * -----------------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/

/** 
 * Class MySQL3x
 * Operate with MySQL 3.x database via php functions
 **/
class MySQL3x
{
 
 	/** 
 	 * Vars
 	 **/
 	var $gCallFile;
	var $gCallLine;
	var $gSimpleError = false;
	var $gSilentError = false;
	var $gWasError = false;
	
 	/**
     * Constructor
     **/
 	function MySQL3x($mCallFile, $mCallLine, $mSimpleError, $mHostName, $mUserName, $mUserPass, $mDBName)
	{
		$this->gCallFile = $mCallFile;
		$this->gCallLine = $mCallLine;
		$this->gSimpleError = $mSimpleError;
		$this->gIgnoreErrors = FALSE;
		
		@mysql_connect($mHostName, $mUserName, $mUserPass);
		$this->TestForErrors();
		
		@mysql_select_db($mDBName);
		$this->TestForErrors();
		
		@mysql_query("SET OPTION SQL_BIG_SELECTS=1");
		$this->TestForErrors();
 	}
	
	/**
	 * DoQuery
	 **/
	function DoQuery($mCallLine, $mCommand='')
	{
		$this->gCallLine = $mCallLine;
		//$start_point = run_time(0); // optimizer
		$result = @mysql_query($mCommand);
		//$timeout = run_time($start_point); // optimizer
		//@mysql_query('INSERT INTO optimizer VALUES ("'.get_now().'", "'.$mCallLine.'", "'.$timeout.'", "'.$mCommand.'")'); // optimizer
		$this->TestForErrors();
		return $result;	
	}
		
	/**
	 * GetNumRows
	 **/
	function GetNumRows($mQuery)
	{
		$num_rows = @mysql_num_rows($mQuery);
		$this->TestForErrors();
		return $num_rows;
	}
	
	/**
	 * GetNumFields
	 **/
	function GetNumFields($mQuery)
	{
		$num_fields = @mysql_num_fields($mQuery);
		$this->TestForErrors();
		return $num_fields;
	}
	
	/**
	 * GetFieldName
	 **/
	function GetFieldName($mQuery, $mColNum)
	{
		$field_name = @mysql_field_name($mQuery, $mColNum);	
		$this->TestForErrors();
		return $field_name;
	}
	
	/**
	 * FetchHash
	 **/
	function FetchHash($mQuery)
	{
		$hash = @mysql_fetch_assoc($mQuery);
		$this->TestForErrors();
		return $hash;
	}
	
	/**
	 * FetchRow
	 **/
	function FetchRow($mQuery)
	{
		$hash = @mysql_fetch_row($mQuery);
		$this->TestForErrors();
		return $hash;
	}
	
	/**
	 * DataSeek
	 **/
	function DataSeek($mQuery, $mPos)
	{
		@mysql_data_seek($mQuery, $mPos) ;
		$this->TestForErrors();
		return TRUE;
	}
	
	/**
	 * GetAffectedRows
	 **/
	function GetAffectedRows()
	{
		return @mysql_affected_rows();
	}	
	
	/**
	 * SetSilentError
	 **/
	function SetSilentError()
	{
		$this->gSilentError = true;
		$this->gWasError = false;
		
		return true;
	}

	/**
	 * SilentErrorResult
	 **/
	function SilentErrorResult()
	{
		$this->gSilentError = false;
		
		return $this->gWasError;
	}

	/**
	 * TestForErrors
	 **/
	function TestForErrors()
	{
		if ( $this->gSilentError )
		{
			$this->gWasError = true;
		}
		else 
		{
			if (mysql_errno() > 0) 
			{
				//$this->DoQuery(0, 'ROLLBACK');
				if ( $this->gSimpleError ) die('SQL_ERROR: '.$this->gCallFile.'['.$this->gCallLine.']::'.mysql_error());
				shop_die('sql_error', $this->gCallFile.'['.$this->gCallLine.']::'.mysql_error(), __LINE__, $_SERVER['REQUEST_URI']);
			}
		}
	}
	
}

?>