<?php

/**
 * client.php
 * ----------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/
 

/**
 * Function new_client
 * Return text block of index_goods
 **/
function new_client()
{
	global $gData;
	
	$cookie_name = @ereg_replace('[^[:alnum:]]', '_', SHOP_CWD.'_mshop_client');
	list ($id, $pass_md5) = explode(':', $_COOKIE[$cookie_name]);
	if ( $id*1 > 1 )
	{
		$hash = $gData->GetClient($id);
		$client_id = ( md5($hash['pass']) == $pass_md5 ) ? $id : 1;
	}
	else 
	{
		$client_id = 1;
	}

	client_activate($client_id);
	
	return TRUE;
}


/**
 * Function client_activate
 * Test client rules, load hash in SESSION, save statistic
 **/
function client_activate($mClientID)
{
	global $gData;
	
	// Load client info
	$_SESSION['client'] = $gData->GetClient($mClientID);
	unset($_SESSION['client']['pass']);

	// Testing for change client rules
	if ( $_SESSION['client']['rules_allow'] == 1 )
	{
		$gData->TestForClientRules($mClientID, $_SESSION['client']['orders_suma']*1);	
		$_SESSION['client'] = $gData->GetClient($mClientID);
		unset($_SESSION['client']['pass']);
	}
	
	// Save shop statistic
	save_shop_stat('login', $_SESSION['client']['id'], $_SESSION['client']['login']);
			 	 		 
	// Recalc order sum
	list($how_ordered, $itogo_sum, $total_sum, $tax_sum) = calc_basket_info($_SESSION['client']);
	$_SESSION['total_sum'] = round($total_sum, 2);
	$_SESSION['how_ordered'] = $how_ordered;				 	 		 	
	
	return TRUE;
}

?>