<?php

/**
 * partner.php
 * -----------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/
 

/** 
 * Function save_partner_jump
 * Save partner jump to database and make cookie
 **/
function save_partner_jump() 
{
	global $gData;
	
	$partner_id = $_GET['partner']*1;
	$partner_status = $gData->GetPartnerStatus($partner_id);
	if ( $partner_status >= 0 )
	{
		// Define vars
		$cookie_name = @ereg_replace('[^[:alnum:]]', '_', SHOP_CWD.'_last_partner_id');
		$cookie_partner_id = $_COOKIE[$cookie_name]*1;

		// Test block sites
		if ( strlen($_SERVER['HTTP_REFERER']) > 0 && $partner_status != 1 )
		{
			$block = $gData->GetPartnerBlockSite();
			$rows = $gData->GetNumRows($block);
			for ( $i = 1; $i <= $rows; $i++ ) 
			{	
				$hash = $gData->FetchRow($block);
				if ( strpos(strtolower($_SERVER['HTTP_REFERER']), strtolower($hash[0])) !== false )
				{
					$cookie_partner_id = -1;
					break;
				}
			}		
		}
		
		// Fix Cookie
		if ( $cookie_partner_id == 0 || $cookie_partner_id == $partner_id ) 
		{
			$cookie_days = $gData->GetPartnerCookieDays();
			$my_host = ( substr($_SERVER['HTTP_HOST'], 0, 4) == 'www.' ) ? substr($_SERVER['HTTP_HOST'], 4) : $_SERVER['HTTP_HOST'];
			setcookie($cookie_name, $partner_id, time() + 24*60*60*$cookie_days, '/', '.'.$my_host);
			// Set Partner
			$_SESSION['partner_id'] = $partner_id;		
		}
		
		// Save Statistic
		$gData->UpdatePartnerField($partner_id, 'last_date', get_now());		
		$gData->SavePartnerStat($partner_id, 
								get_now(), 
								get_date(),
								get_month(),
								sprintf("%u\n", ip2long(user_ip())), 
								addslashes($_SERVER['HTTP_REFERER']), 
								$cookie_partner_id,
								( $cookie_partner_id == 0 ) ? 1 : 0
								);
	}
	
}

?>
