<?php

/**
 * search_engines.php
 * ------------------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/
 
// Base variables 

// Define SE spider by field User Agent 
$gSEUserAgentHaveNot = '(mozilla)|(opera)'; // RegExp
$gSEUserAgentHave = '(bot)|(slurp)|(spider)'; //RegExp

// Define SE spider by ip
$gSELockIP = array(); // For sample: array('142.122.123.144', '192.168.1.*', '122.145.20-210.*')


/** 
 * Function define_se_vars
 * Define specifically se vars for analyze
 **/
function define_se_vars() 
{
	global $gSE, $gSECharset;
	
	$gSE = array('yandex.ru' 				=> 'text',
		 		 'news.yandex.ru' 			=> 'text',
				 'market.yandex.ru' 		=> 'text',
				 'adresa.yandex.ru' 		=> 'what',
				 'blogs.yandex.ru'		 	=> 'text',
				 'search.yaca.yandex.ru' 	=> 'text',
				 'rambler.ru' 				=> 'words',
				 'google.ru' 				=> 'q',
				 'groups.google.ru' 		=> 'q',
				 'images.google.ru' 		=> 'q',
				 'google.com' 				=> 'q',
				 'groups.google.com' 		=> 'q',
				 'images.google.com' 		=> 'q',
				 'google.com.ua'			=> 'q',
				 'groups.google.com.ua'		=> 'q',
				 'images.google.com.ua' 	=> 'q',
				 'go.mail.ru' 				=> 'q',
				 'search.list.mail.ru'		=> 'q',
				 'soft.mail.ru'				=> 'searchstring',
				 'torg.ru'					=> 'text',
				 'search.msn.com'			=> 'q',
				 'search.yahoo.com'			=> 'p',
				 'images.search.yahoo.com'	=> 'p',
				 'altavista.com'			=> 'q',
				 'nigma.ru'					=> 'q',
				 'search.bigmir.net'		=> 'q',
				 'shop.bigmir.net'			=> 'q',
				 'sm.aport.ru'				=> 'r',
				 'market.aport.ru'			=> 'search',
				 'meta.ua'					=> 'q',
				 'go.km.ru'					=> 'sq'
				 );
			 
	$gSECharset = array('yandex.ru' 				=> 'Windows-1251',
		 		 		'news.yandex.ru' 			=> 'Windows-1251',
				 		'market.yandex.ru' 			=> 'Windows-1251',
			 			'adresa.yandex.ru' 			=> 'Windows-1251',
			 			'blogs.yandex.ru'		 	=> 'Windows-1251',
				 		'search.yaca.yandex.ru' 	=> 'Windows-1251',
				 		'rambler.ru' 				=> 'Windows-1251',
				 		'google.ru' 				=> 'UTF-8',
				 		'groups.google.ru' 			=> 'UTF-8',
			 			'images.google.ru' 			=> 'UTF-8',
			 			'google.com' 				=> 'UTF-8',
				 		'groups.google.com' 		=> 'UTF-8',
				 		'images.google.com' 		=> 'UTF-8',
				 		'google.com.ua'				=> 'UTF-8',
				 		'groups.google.com.ua'		=> 'UTF-8',
			 			'images.google.com.ua' 		=> 'UTF-8',
						'go.mail.ru' 				=> 'Windows-1251',
				 		'search.list.mail.ru'		=> 'Windows-1251',
				 		'soft.mail.ru'				=> 'Windows-1251',
				 		'torg.ru'					=> 'Windows-1251',
				 		'search.msn.com'			=> 'UTF-8',
				 		'search.yahoo.com'			=> 'UTF-8',
				 		'images.search.yahoo.com'	=> 'UTF-8',
				 		'altavista.com'				=> 'UTF-8',
				 		'nigma.ru'					=> 'Windows-1251',
			 			'search.bigmir.net'			=> 'Windows-1251',
			 			'shop.bigmir.net'			=> 'Windows-1251',
			 			'sm.aport.ru'				=> 'Windows-1251',
				 		'market.aport.ru'			=> 'Windows-1251',
				 		'meta.ua'					=> 'Windows-1251',
				 		'go.km.ru'					=> 'Windows-1251'
				 		);
}

?>