<?php

/**
 * info_descr.php
 * --------------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/

// Define script folder 
define('FOLDER', './');

 
// Require classes and includes
require_once('./admin/privat/privat.php');
require_once('./admin/includes/common.php');
require_once('./admin/class/show/class.FastTemplate.php');


// Start sessions
shop_session();


// Go!
main();


/**
 * Function main
 **/
function main()
{
	global $gData, $gOptions, $gTpl, $gStartPoint, $gEndPoint;

	// Get start point for time
	$gStartPoint = run_time(0);
	
	// Connect to Data 
	$gData = data_connect();	

		
	// Init templates
	$gTpl = new FastTemplate('./'.TEMPLATES.'/info_descr');
	$gTpl->DefineTemplate(array('main'	=> 'main.htm'
							    ));	
	$id = $_GET['id']*1;							  
	if ( $id > 0 ) 
	{
		$gTpl->Assign('CONTENT', $gData->GetInfoDescr($id));
	}
	else 
	{
		$gTpl->Assign('CONTENT', '&nbsp;');
	}

	// Echo shop variables
	echo_shop_variables('in_techpage');	
	
	// Parse main page
	$gTpl->Parse('MAIN', 'main');
	$gEndPoint = run_time($gStartPoint);
	$gTpl->FastPrint('MAIN');

	// Echo page compilate time
	echo_page_time($gEndPoint);

}


?>