<?php

/**
 * pay_get.php
 * -----------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/

// Define script folder 
define('FOLDER', './');

 
// Require classes and includes
require_once('./admin/privat/privat.php');
require_once('./admin/includes/common.php');
require_once('./admin/includes/orders.php');
require_once('./admin/class/util/class.Emailer.php');
require_once('./admin/class/show/class.FastTemplate.php');

// Start session
session_name(DB_NICK.'_MSS');
session_start();

// Go!
main();


/**
 * Function main
 **/
function main()
{
	global $gData, $gOptions;
	
	// Call payment module
	$type = @eregi_replace("[^[:alnum:]])", "", $_GET['type']);
	if ( is_dir('./pay_mod/'.$type.'/') )
	{
		require_once('./pay_mod/'.$type.'/vars.php');
		require_once('./pay_mod/'.$type.'/payment.php');
		$content = pay_get();
	}
	else 
	{
		die('Wrong type operation');
	}

	$content = str_replace('{CHARSET}', SHOP_CHARSET, $content);
	
	echo $content;

}

?>