<?php

/**
 * pay_go.php
 * ----------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/

// Define script folder 
define('FOLDER', './');

 
// Require classes and includes
require_once('./admin/privat/privat.php');
require_once('./admin/includes/common.php');
require_once('./admin/class/util/class.Emailer.php');
require_once('./admin/class/show/class.FastTemplate.php');

// Start session
session_name(DB_NICK.'_MSS');
session_start();

// Go!
main();


/**
 * Function main
 **/
function main()
{
	// Testing for session vars
	if ( !isset($_SESSION['order_info']) ) die('Wrong session info!');
	
	// Call payment module
	$type = @eregi_replace("[^[:alnum:]])", "", $_GET['type']);
	if ( is_dir('./pay_mod/'.$type.'/') )
	{
		require_once('./pay_mod/'.$type.'/vars.php');
		require_once('./pay_mod/'.$type.'/payment.php');
		$content = pay_go();
	}
	else 
	{
		die('Wrong type operation');
	}
	
	// Parse
	foreach ( $_SESSION['trans_info'] as $key => $value) 
	{
		$content = str_replace('{'.strtoupper($key).'}', $value, $content);
	}
	foreach ( $_SESSION['client_info'] as $key => $value) 
	{
		$content = str_replace('{'.strtoupper($key).'}', $value, $content);
	}
	foreach ( $_SESSION['goods_info'] as $key => $value) 
	{
		$content = str_replace('{'.strtoupper($key).'}', $value, $content);
	}
	foreach ( $_SESSION['order_info'] as $key => $value) 
	{
		$content = str_replace('{'.strtoupper($key).'}', $value, $content);
	}	
	$content = str_replace('{CHARSET}', SHOP_CHARSET, $content);
	
	
	echo $content;
	
}



?>