<?php

/**
 * index.php
 * ---------
 * @version 5.4.0
 * @copyright 2002-2010 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/
 
// Define script folder 
define('FOLDER', './../');
 
// Require classes and includes
require_once('./privat/privat.php');
require_once('./includes/common.php');
require_once('./class/show/class.FastTemplate.php');

// Start sessions
session_name(DB_NICK."_MSSADMIN");
session_start();

// Go!
main();


/**
 * Function main
 **/
function main()
{
	global $gData;

	// Get start point for time
	$gStartPoint = run_time(0);
	
	// Connect to Data 
	$gData = data_connect();	

	
	// Define what to do
	$action = $_GET['action'];
	if ( isset($_POST['action']) ) 
	{
		$action = $_POST['action'];
	}
	switch ( $action )
	{
		case 'login' : 
			if ( $_POST['login'] == 'admin' ) 
			{
				// IP test
				if ( strlen(SEC_ENTER_IP) > 0 ) 
				{
			    	$ips = explode(' ', SEC_ENTER_IP);
					if ( !in_array(user_ip(), $ips) ) 
					{
						home_page('error_ip');
						exit;
					}
				}			    
				if ( md5($_POST['pass']) == SEC_PASSWORD ) 
				{
			        $_SESSION['login'] = $_POST['login'];
			        $_SESSION['templ'] = ( $_POST['templ'] == '1' ) ? 'cpc' : 'pc';
					header("Location: ./web_orders.php?".session_name()."=".session_id());
			    }
				else
				{
					home_page('error_login');
				}
			}
			else
			{
				$hash = $gData->ManagerLogin(addslashes($_POST['login']), addslashes($_POST['pass']));
				if ( is_array($hash) ) 
				{
			        $_SESSION['login'] = $_POST['login'];
			        $_SESSION['templ'] = ( $_POST['templ'] == '1' ) ? 'cpc' : 'pc';
					$_SESSION['manager'] = $hash;
					header("Location: ./web_orders.php?".session_name()."=".session_id());
				}
				else
				{
					home_page('error_login');
				}
			}
			break;
		default :
			home_page('');
	} // switch	


}



/**
 * Function home_page
 * Home page client room
 **/
function home_page($mError)
{
	global $gData;
	
	// Init templates
	$tpl = new FastTemplate('./templates/pc');
	$tpl->DefineTemplate(array('blank' 		=> 'blank.htm',
							   'main'		=> '_index/main.htm',
							   'error_ip'	=> '_index/error_ip.htm',
							   'error_login'=> '_index/error_login.htm'
							   ));
	
	( strlen($mError) > 0 ) ? $tpl->Parse('ERROR', $mError) : $tpl->Assign('ERROR', '');
	
	$tpl->Parse('CONTENT', 'main');

	// Parse reserved names
	$tpl->Assign('CHARSET', SHOP_CHARSET);
					   	
	// Parse main page
	$tpl->Parse('BLANK', 'blank');
	$tpl->FastPrint('BLANK');
		
}

?>